<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="b440a7e8-e8c2-4e84-8927-c5b3b2c7afe1" name="Default Changelist" comment="" />
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="DjangoConsoleOptions" custom-start-script="import sys; print('Python %s on %s' % (sys.version, sys.platform))&#10;import django; print('Django %s' % django.get_version())&#10;sys.path.extend([WORKING_DIR_AND_PYTHON_PATHS])&#10;if 'setup' in dir(django): django.setup()&#10;import django_manage_shell; django_manage_shell.run(PROJECT_ROOT)">
    <option name="myCustomStartScript" value="import sys; print('Python %s on %s' % (sys.version, sys.platform))&#10;import django; print('Django %s' % django.get_version())&#10;sys.path.extend([WORKING_DIR_AND_PYTHON_PATHS])&#10;if 'setup' in dir(django): django.setup()&#10;import django_manage_shell; django_manage_shell.run(PROJECT_ROOT)" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="300">
      <file pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/goods_app/views.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="57">
              <caret line="66" lean-forward="true" selection-start-line="66" selection-end-line="66" />
              <folding>
                <element signature="e#0#11#0" expanded="true" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/goods_app/models.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="27">
              <caret line="1" lean-forward="true" selection-start-line="1" selection-end-line="1" />
            </state>
          </provider>
        </entry>
      </file>
      <file pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/../../../Python VirtualEnv/django_env/Lib/site-packages/django/db/models/fields/__init__.py">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="120">
              <caret line="965" selection-start-line="965" selection-end-line="965" />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="Python Script" />
        <option value="HTML File" />
      </list>
    </option>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>./首页_files</find>
    </findStrings>
    <replaceStrings>
      <replace>/static</replace>
    </replaceStrings>
  </component>
  <component name="Git.Settings">
    <option name="UPDATE_TYPE" value="MERGE" />
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/good_app/models.py" />
        <option value="$PROJECT_DIR$/utils/code.py" />
        <option value="$PROJECT_DIR$/utils/alipay_p2.py" />
        <option value="$PROJECT_DIR$/utils/cartmanager.py" />
        <option value="$PROJECT_DIR$/utils/loaddata.py" />
        <option value="$PROJECT_DIR$/goods_app/templates/index.html" />
        <option value="$PROJECT_DIR$/netshop/urls.py" />
        <option value="$PROJECT_DIR$/templates/base.html" />
        <option value="$PROJECT_DIR$/templates/top.html" />
        <option value="$PROJECT_DIR$/netshop/settings.py" />
        <option value="$PROJECT_DIR$/../../../Python VirtualEnv/django_env/Lib/site-packages/django/views/debug.py" />
        <option value="$PROJECT_DIR$/goods_app/urls.py" />
        <option value="$PROJECT_DIR$/goods_app/templates/goods_app/index.html" />
        <option value="$PROJECT_DIR$/goods_app/static/goods_app/js/carts.js" />
        <option value="$PROJECT_DIR$/goods_app/apps.py" />
        <option value="$PROJECT_DIR$/goods_app/models.py" />
        <option value="$PROJECT_DIR$/goods_app/templates/goods_app/detail.html" />
        <option value="$PROJECT_DIR$/goods_app/views.py" />
      </list>
    </option>
  </component>
  <component name="ProjectConfigurationFiles">
    <option name="files">
      <list>
        <option value="$PROJECT_DIR$/.idea/vcs.xml" />
      </list>
    </option>
  </component>
  <component name="ProjectFrameBounds" extendedState="6">
    <option name="x" value="-8" />
    <option name="y" value="-8" />
    <option name="width" value="1376" />
    <option name="height" value="744" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectView">
    <navigator proportions="" version="1">
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scope" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="netshop" type="b2602c69:ProjectViewProjectNode" />
              <item name="netshop" type="462c0819:PsiDirectoryNode" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="DefaultHtmlFileTemplate" value="HTML File" />
    <property name="SHARE_PROJECT_CONFIGURATION_FILES" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="E:/Users/Administrator/Desktop/源码/源码/9_netshop【商品模块_猜你喜欢功能】" />
    <property name="nodejs_interpreter_path.stuck_in_default_project" value="undefined stuck path" />
    <property name="nodejs_npm_path_reset_for_default_project" value="true" />
    <property name="settings.editor.selected.configurable" value="project.propVCSSupport.Mappings" />
  </component>
  <component name="RecentsManager">
    <key name="MoveFile.RECENT_KEYS">
      <recent name="E:\Python\Python项目\Django框架\netshop\goods_app\static\goods_app" />
      <recent name="E:\Python\Python项目\Django框架\netshop\goods_app" />
      <recent name="E:\Python\Python项目\Django框架\netshop" />
      <recent name="E:\Python\Python项目\Django框架\netshop\goods_app\static" />
      <recent name="E:\Python\Python项目\Django框架\netshop\goods_app\templates\goods_app" />
    </key>
    <key name="CopyFile.RECENT_KEYS">
      <recent name="E:\Python\Python项目\Django框架\netshop" />
      <recent name="E:\Python\Python项目\Django框架\netshop\templates" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="RunManager" selected="Django server.netshop">
    <configuration name="manage" type="PythonConfigurationType" factoryName="Python" temporary="true">
      <module name="netshop" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="$PROJECT_DIR$" />
      <option name="IS_MODULE_SDK" value="true" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <EXTENSION ID="PythonCoverageRunConfigurationExtension" runner="coverage.py" />
      <option name="SCRIPT_NAME" value="$PROJECT_DIR$/manage.py" />
      <option name="PARAMETERS" value="runserver" />
      <option name="SHOW_COMMAND_LINE" value="false" />
      <option name="EMULATE_TERMINAL" value="false" />
      <option name="MODULE_MODE" value="false" />
      <option name="REDIRECT_INPUT" value="false" />
      <option name="INPUT_FILE" value="" />
      <method v="2" />
    </configuration>
    <configuration name="netshop" type="Python.DjangoServer" factoryName="Django server">
      <module name="netshop" />
      <option name="INTERPRETER_OPTIONS" value="" />
      <option name="PARENT_ENVS" value="true" />
      <envs>
        <env name="PYTHONUNBUFFERED" value="1" />
        <env name="DJANGO_SETTINGS_MODULE" value="netshop.settings" />
      </envs>
      <option name="SDK_HOME" value="" />
      <option name="WORKING_DIRECTORY" value="" />
      <option name="IS_MODULE_SDK" value="false" />
      <option name="ADD_CONTENT_ROOTS" value="true" />
      <option name="ADD_SOURCE_ROOTS" value="true" />
      <option name="launchJavascriptDebuger" value="false" />
      <option name="port" value="8000" />
      <option name="host" value="" />
      <option name="additionalOptions" value="" />
      <option name="browserUrl" value="" />
      <option name="runTestServer" value="false" />
      <option name="runNoReload" value="false" />
      <option name="useCustomRunCommand" value="false" />
      <option name="customRunCommand" value="" />
      <method v="2" />
    </configuration>
    <list>
      <item itemvalue="Django server.netshop" />
      <item itemvalue="Python.manage" />
    </list>
    <recent_temporary>
      <list>
        <item itemvalue="Python.manage" />
      </list>
    </recent_temporary>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="b440a7e8-e8c2-4e84-8927-c5b3b2c7afe1" name="Default Changelist" comment="" />
      <created>1593742029886</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1593742029886</updated>
      <workItem from="1593742226801" duration="3481000" />
      <workItem from="1593745759117" duration="1149000" />
      <workItem from="1593823750144" duration="940000" />
      <workItem from="1593911757501" duration="12346000" />
      <workItem from="1593998346580" duration="2980000" />
      <workItem from="1594001428184" duration="1059000" />
      <workItem from="1594018197802" duration="1854000" />
      <workItem from="1594076820918" duration="20960000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="44769000" />
  </component>
  <component name="TodoView">
    <todo-panel id="selected-file">
      <is-autoscroll-to-source value="true" />
    </todo-panel>
    <todo-panel id="all">
      <are-packages-shown value="true" />
      <is-autoscroll-to-source value="true" />
    </todo-panel>
  </component>
  <component name="ToolWindowManager">
    <frame x="-8" y="-8" width="1382" height="744" extended-state="6" />
    <layout>
      <window_info content_ui="combo" id="Project" order="0" visible="true" weight="0.1482602" />
      <window_info id="Structure" order="1" side_tool="true" weight="0.25" />
      <window_info id="Favorites" order="2" side_tool="true" />
      <window_info anchor="bottom" id="Message" order="0" />
      <window_info anchor="bottom" id="Find" order="1" />
      <window_info active="true" anchor="bottom" id="Run" order="2" sideWeight="0.49848714" visible="true" weight="0.5833333" />
      <window_info anchor="bottom" id="Debug" order="3" weight="0.39869282" />
      <window_info anchor="bottom" id="Cvs" order="4" weight="0.25" />
      <window_info anchor="bottom" id="Inspection" order="5" weight="0.4" />
      <window_info anchor="bottom" id="TODO" order="6" weight="0.32733223" />
      <window_info anchor="bottom" id="Docker" order="7" show_stripe_button="false" />
      <window_info anchor="bottom" id="Version Control" order="8" weight="0.42553192" />
      <window_info anchor="bottom" id="Database Changes" order="9" />
      <window_info anchor="bottom" id="Event Log" order="10" sideWeight="0.50075644" side_tool="true" weight="0.3267974" />
      <window_info anchor="bottom" id="Terminal" order="11" weight="0.32569557" />
      <window_info anchor="bottom" id="Python Console" order="12" sideWeight="0.49924356" weight="0.3267974" />
      <window_info anchor="bottom" id="Messages" order="13" />
      <window_info anchor="right" id="Commander" internal_type="SLIDING" order="0" type="SLIDING" weight="0.4" />
      <window_info anchor="right" id="Ant Build" order="1" weight="0.25" />
      <window_info anchor="right" content_ui="combo" id="Hierarchy" order="2" weight="0.25" />
      <window_info anchor="right" id="SciView" order="3" />
      <window_info anchor="right" id="Database" order="4" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="Vcs.Log.Tabs.Properties">
    <option name="TAB_STATES">
      <map>
        <entry key="MAIN">
          <value>
            <State>
              <option name="RECENTLY_FILTERED_USER_GROUPS">
                <collection />
              </option>
              <option name="RECENTLY_FILTERED_BRANCH_GROUPS">
                <collection />
              </option>
              <option name="COLUMN_ORDER">
                <list>
                  <option value="0" />
                  <option value="1" />
                  <option value="2" />
                  <option value="3" />
                </list>
              </option>
            </State>
          </value>
        </entry>
      </map>
    </option>
    <option name="RECENT_FILTERS">
      <map>
        <entry key="Branch">
          <value>
            <list />
          </value>
        </entry>
        <entry key="User">
          <value>
            <list />
          </value>
        </entry>
      </map>
    </option>
  </component>
  <component name="VcsManagerConfiguration">
    <ignored-roots>
      <path value="$PROJECT_DIR$" />
    </ignored-roots>
    <option name="LAST_COMMIT_MESSAGE" value="" />
  </component>
  <component name="com.intellij.coverage.CoverageDataManagerImpl">
    <SUITE FILE_PATH="coverage/netshop$views.coverage" NAME="views Coverage Results" MODIFIED="1594109693118" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/goods_app" />
    <SUITE FILE_PATH="coverage/netshop$manage.coverage" NAME="manage Coverage Results" MODIFIED="1594091799379" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$" />
    <SUITE FILE_PATH="coverage/netshop$loaddata.coverage" NAME="loaddata Coverage Results" MODIFIED="1593912015021" SOURCE_PROVIDER="com.intellij.coverage.DefaultCoverageFileProvider" RUNNER="coverage.py" COVERAGE_BY_TEST_ENABLED="true" COVERAGE_TRACING_ENABLED="false" WORKING_DIRECTORY="$PROJECT_DIR$/utils" />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/../../../Python VirtualEnv/netshop/Lib/site-packages/django/db/models/fields/related.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-466">
          <caret line="781" column="30" lean-forward="true" selection-start-line="781" selection-start-column="30" selection-end-line="781" selection-end-column="30" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../../Python VirtualEnv/netshop/Lib/site-packages/django/db/models/fields/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="182">
          <caret line="1396" column="63" selection-start-line="1396" selection-start-column="53" selection-end-line="1396" selection-end-column="63" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/utils/alipay_p2.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="216">
          <caret line="8" column="7" lean-forward="true" selection-start-line="8" selection-start-column="7" selection-end-line="8" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/utils/__init__.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/utils/alipay_p3.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="243">
          <caret line="18" column="7" lean-forward="true" selection-start-line="18" selection-start-column="7" selection-end-line="18" selection-end-column="7" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/utils/cartmanager.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="324">
          <caret line="108" column="17" lean-forward="true" selection-start-line="108" selection-start-column="17" selection-end-line="108" selection-end-column="17" />
          <folding>
            <element signature="e#15#50#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/utils/code.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-127">
          <caret line="42" column="14" lean-forward="true" selection-start-line="42" selection-start-column="14" selection-end-line="42" selection-end-column="14" />
          <folding>
            <element signature="e#16#29#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/utils/loaddata.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="251">
          <caret line="19" selection-start-line="19" selection-end-line="19" />
          <folding>
            <element signature="e#15#60#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/static/goods_app/js/pro.js">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/static/goods_app/css/detail.css">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/../../../Python VirtualEnv/django_env/Lib/site-packages/django/views/debug.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="8586">
          <caret line="333" column="26" selection-start-line="333" selection-start-column="26" selection-end-line="333" selection-end-column="26" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/netshop/wsgi.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/../../../Python VirtualEnv/django_env/Lib/site-packages/django/conf/urls/static.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="319">
          <caret line="28" selection-start-line="28" selection-end-line="28" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../../Python VirtualEnv/django_env/Lib/site-packages/django/db/models/options.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="288">
          <caret line="243" column="16" selection-start-line="243" selection-start-column="16" selection-end-line="243" selection-end-column="16" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/static/goods_app/images/1_13.png">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/__init__.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/urls.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="96">
          <caret line="9" column="87" selection-start-line="9" selection-start-column="73" selection-end-line="9" selection-end-column="87" />
          <folding>
            <element signature="e#0#28#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/tests.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/admin.py">
      <provider selected="true" editor-type-id="text-editor" />
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/static/goods_app/js/md5-min.js">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="n#!!doc" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/static/goods_app/js/jquery.min.js">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="n#!!doc" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/static/goods_app/js/carts.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="81">
          <caret line="3" lean-forward="true" selection-start-line="3" selection-end-line="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/apps.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="54">
          <caret line="2" selection-start-line="2" selection-end-line="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/static/goods_app/images/2_UuQkY4b.jpg">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/static/goods_app/images/B5_03.png">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/static/goods_app/images/B5_06.png">
      <provider selected="true" editor-type-id="images" />
    </entry>
    <entry file="file://$PROJECT_DIR$/utils/jiukuaijiu.json">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret column="122" selection-start-column="15" selection-end-column="122" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/templates/top.html">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <caret selection-end-column="17" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/templates/base.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="81">
          <caret line="3" column="6" selection-start-line="3" selection-start-column="6" selection-end-line="3" selection-end-column="6" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/netshop/settings.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="289">
          <caret line="132" column="3" lean-forward="true" selection-start-line="132" selection-start-column="3" selection-end-line="132" selection-end-column="3" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/netshop/urls.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="292">
          <caret line="24" column="1" selection-start-line="24" selection-start-column="1" selection-end-line="24" selection-end-column="1" />
          <folding>
            <element signature="e#631#673#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/templates/goods_app/detail.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="174">
          <caret line="118" column="53" selection-start-line="118" selection-start-column="53" selection-end-line="118" selection-end-column="53" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/templates/goods_app/index.html">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="152">
          <caret line="55" column="36" lean-forward="true" selection-start-line="55" selection-start-column="36" selection-end-line="55" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../../Python VirtualEnv/django_env/Lib/site-packages/django/db/models/deletion.py">
      <provider selected="true" editor-type-id="text-editor">
        <state>
          <folding>
            <element signature="e#0#44#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/manage.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="130">
          <caret line="11" column="26" lean-forward="true" selection-start-line="11" selection-start-column="26" selection-end-line="11" selection-end-column="26" />
          <folding>
            <element signature="e#84#93#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../../Python VirtualEnv/django_env/Lib/site-packages/django/utils/deprecation.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="195">
          <caret line="96" selection-start-line="96" selection-end-line="96" />
        </state>
      </provider>
    </entry>
    <entry file="file://D:/Program Files/Python36-32/Lib/wsgiref/handlers.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="141">
          <caret line="137" selection-start-line="137" selection-end-line="137" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../../Python VirtualEnv/django_env/Lib/site-packages/django/contrib/staticfiles/handlers.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="126">
          <caret line="64" selection-start-line="64" selection-end-line="64" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../../Python VirtualEnv/django_env/Lib/site-packages/django/core/handlers/wsgi.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="106">
          <caret line="152" selection-start-line="152" selection-end-line="152" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../../Python VirtualEnv/django_env/Lib/site-packages/django/core/servers/basehttp.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="241">
          <caret line="169" selection-start-line="169" selection-end-line="169" />
        </state>
      </provider>
    </entry>
    <entry file="file://D:/Program Files/Python36-32/Lib/http/cookiejar.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="68">
          <caret line="1643" column="8" selection-start-line="1643" selection-start-column="8" selection-end-line="1643" selection-end-column="8" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../../Python VirtualEnv/django_env/Lib/site-packages/django/core/handlers/exception.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="112">
          <caret line="33" selection-start-line="33" selection-end-line="33" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../../Python VirtualEnv/django_env/Lib/site-packages/django/core/handlers/base.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="112">
          <caret line="114" selection-start-line="114" selection-end-line="114" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../../Python VirtualEnv/django_env/Lib/site-packages/django/views/generic/base.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="104">
          <caret line="96" selection-start-line="96" selection-end-line="96" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/../../../Python VirtualEnv/django_env/Lib/site-packages/django/db/models/fields/__init__.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="120">
          <caret line="965" selection-start-line="965" selection-end-line="965" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/models.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="27">
          <caret line="1" lean-forward="true" selection-start-line="1" selection-end-line="1" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/goods_app/views.py">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="57">
          <caret line="66" lean-forward="true" selection-start-line="66" selection-end-line="66" />
          <folding>
            <element signature="e#0#11#0" expanded="true" />
          </folding>
        </state>
      </provider>
    </entry>
  </component>
</project>